VOS_CLONE(1)

NAME
vos_clone - Creates a shared-space copy of a volume on a partition

SYNOPSIS
vos clone [B<-id>] <I<volume name or ID>>
    [B<-server>] <I<server name>>
    [B<-partition>] <I<partition name>>
    [B<-toname> <I<volume name on destination>>]
    [B<-toid> <I<volume ID on destination>>]
    [-offline] [-readonly]
    [B<-cell> <I<cell name>>] [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve] [-help]

vos cl [B<-i>] <I<volume name or ID>>
    [B<-s>] <I<server name>>
    [B<-p>] <I<partition name>>
    [B<-ton> <I<volume name on destination>>]
    [B<-toi> <I<volume ID on destination>>] [-o] [-r]
    [B<-c> <I<cell name>>] [-noa]
    [-l] [-v] [-e] [-nor] [-h]

DESCRIPTION
The vos clone command creates a copy-on-write copy of a volume on the same partition and server as the parent volume.

A clone is a copy of a volume that only stores the changes from the parent volume. Cloning is a primitive operation that is used by the vos move, vos backup, and vos release commands. A clone functions using the same mechanism as a backup volume, but it is persistent. Clone volumes can be used as point-in-time copies of the parent volume, but they must be used with care.

CAUTIONS
This command is not used during normal OpenAFS administration and may have adverse effects on the VLDB if not used properly! This command should only be used by an expert.

Deleting or moving the parent volume makes the clone volume inaccessible, but the clone volume remains in the VLDB and on disk, and it needs to be cleaned up manually.

There is a maximum limitation of 7 clones when using the namei fileserver. You may safely create up to 4 clones using the vos clone command. The other three clone slots are used by the backup volume, a read-only replica and the temporary clone that is created when executing a vos move, vos dump, or other vos commands.

Some commands do not work properly on clone volumes. vos move is one such command.

Currently, the maximum quota for a volume is 2 terabytes (2^41 bytes). Note that this only affects the volume's quota; a volume may grow much larger if the volume quota is disabled. However, volumes over 2 terabytes in size may be impractical to move, and may have their size incorrectly reported by some tools, such as fs_listquota(1).

OPTIONS

[-id] <volume name or ID>
    Specifies either the complete name or volume ID number of a read/write volume.

[-server] <machine name>
    Identifies the file server machine where the source volume resides. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

[-partition] <partition name>
    Names the partition where the source volume resides. Provide the full partition name (for, example, /vicepa) or one of the abbreviated forms described in vos(1).

-toname <volume name for new copy>
    The complete name of the new volume to create.

-toid <volume id for new copy>
    The complete id of the new volume to create.

-offline
    Leaves the new volume flagged as off-line in the volume database.

-readonly
    Flags the new volume as read-only in the volume database.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
This command has no output unless "-verbose" is specified or there is an error.

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on the machines specified with the -toserver and -fromserver arguments and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_backup(1), vos_copy(1), vos_move(1), vos_shadow(1)

COPYRIGHT
Copyright 2008 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.